Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.annots.ShadingColor Class Reference

## Public Member Functions
| ShadingColor ()
| Constructor.
| ShadingColor (long firstcolor, long secondcolor)
| Constructor, with parameters. More...
| ShadingColor (ShadingColor shading_color)
| Constructor, with another shading color object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
long | getFirst_color ()
| Get first color used for shading. More...
long | getSecond_color ()
| Get second color used for shading. More...
void | set (long firstcolor, long secondcolor)
| Set value. More...
void | setFirst_color (long value)
| Set first color used for shading. More...
void | setSecond_color (long value)
| Set second color used for shading. More...

## Detailed Description

This class represents shading color which is used for Type 2 (Axial) Shadings.

## Constructor & Destructor Documentation

## ◆ ShadingColor() [1/2]

com.foxit.sdk.pdf.annots.ShadingColor.ShadingColor | ( | long | firstcolor,
|  | long | secondcolor
| ) |  |

Constructor, with parameters.

Parameters

  [in] | firstcolor | First color used for shading color. Format: 0xAARRGGBB.
  [in] | secondcolor | Second color used for shading color. Format: 0xAARRGGBB.

## ◆ ShadingColor() [2/2]

com.foxit.sdk.pdf.annots.ShadingColor.ShadingColor | ( | ShadingColor | shading_color | ) |

Constructor, with another shading color object.

Parameters

  [in] | shading_color | Another shading color object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.annots.ShadingColor.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFirst_color()

com.foxit.sdk.pdf.annots.ShadingColor.getFirst_color | ( |  | ) |

Get first color used for shading.

Returns
  First color used for shading. Format: 0xAARRGGBB.

## ◆ getSecond_color()

com.foxit.sdk.pdf.annots.ShadingColor.getSecond_color | ( |  | ) |

Get second color used for shading.

Returns
  Second color used for shading. Format: 0xAARRGGBB.

## ◆ set()

void com.foxit.sdk.pdf.annots.ShadingColor.set | ( | long | firstcolor,
|  | long | secondcolor
| ) |  |

Set value.

Parameters

  [in] | firstcolor | First color used for shading color. Format: 0xAARRGGBB.
  [in] | secondcolor | Second color used for shading color. Format: 0xAARRGGBB.

Returns
  None.

## ◆ setFirst_color()

com.foxit.sdk.pdf.annots.ShadingColor.setFirst_color | ( | long | value | ) |

Set first color used for shading.

Parameters

  [in] | value | First color used for shading. Format: 0xAARRGGBB.

Returns
  None.

## ◆ setSecond_color()

com.foxit.sdk.pdf.annots.ShadingColor.setSecond_color | ( | long | value | ) |

Set second color used for shading.

Parameters

  [in] | value | Second color used for shading. Format: 0xAARRGGBB.

Returns
  None.